Package com.massivecraft.factions.util

## Enum AsciiCompass.Point

- java.lang.Object
- - java.lang.Enum<AsciiCompass.Point>
  - - com.massivecraft.factions.util.AsciiCompass.Point

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AsciiCompass.Point>`, `java.lang.constant.Constable`

Enclosing class:
  AsciiCompass

    public static enum AsciiCompass.Point
    extends java.lang.Enum<AsciiCompass.Point>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`E` |
`N` |
`NE` |
`NW` |
`S` |
`SE` |
`SW` |
`W` |

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`char` | `asciiChar` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getTranslation()` |
`java.lang.String` | `toString()` |
`java.lang.String` | `toString​(boolean isActive, org.bukkit.ChatColor colorActive, java.lang.String colorDefault)` |
`static AsciiCompass.Point` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static AsciiCompass.Point[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### N

    public static final AsciiCompass.Point N

#### NE

    public static final AsciiCompass.Point NE

#### E

    public static final AsciiCompass.Point E

#### SE

    public static final AsciiCompass.Point SE

#### S

    public static final AsciiCompass.Point S

#### SW

    public static final AsciiCompass.Point SW

#### W

    public static final AsciiCompass.Point W

#### NW

    public static final AsciiCompass.Point NW

### Field Detail

#### asciiChar

    public final char asciiChar

### Method Detail

#### values

    public static AsciiCompass.Point[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AsciiCompass.Point valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<AsciiCompass.Point>`

#### getTranslation

    public java.lang.String getTranslation()

#### toString

    public java.lang.String toString​(boolean isActive,
                                     org.bukkit.ChatColor colorActive,
                                     java.lang.String colorDefault)